# Uses of Class
java.awt.event.InputMethodEvent

Packages that use InputMethodEvent
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.event
Provides interfaces and classes for dealing with different types of events fired by AWT components.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.

## Uses of InputMethodEvent in java.awt

Methods in java.awt with parameters of type InputMethodEvent
Modifier and Type
Method
Description
`void`
AWTEventMulticaster.`caretPositionChanged(InputMethodEvent e)`
Handles the caretPositionChanged event by invoking the caretPositionChanged methods on listener-a and listener-b.
`void`
AWTEventMulticaster.`inputMethodTextChanged(InputMethodEvent e)`
Handles the inputMethodTextChanged event by invoking the inputMethodTextChanged methods on listener-a and listener-b.
`protected void`
Component.`processInputMethodEvent(InputMethodEvent e)`
Processes input method events occurring on this component by dispatching them to any registered `InputMethodListener` objects.

## Uses of InputMethodEvent in java.awt.event

Methods in java.awt.event with parameters of type InputMethodEvent
Modifier and Type
Method
Description
`void`
InputMethodListener.`caretPositionChanged(InputMethodEvent event)`
Invoked when the caret within composed text has changed.
`void`
InputMethodListener.`inputMethodTextChanged(InputMethodEvent event)`
Invoked when the text entered through an input method has changed.

## Uses of InputMethodEvent in javax.swing

Methods in javax.swing with parameters of type InputMethodEvent
Modifier and Type
Method
Description
`protected void`
JFormattedTextField.`processInputMethodEvent(InputMethodEvent e)`
Processes any input method events, such as `InputMethodEvent.INPUT_METHOD_TEXT_CHANGED` or `InputMethodEvent.CARET_POSITION_CHANGED`.

## Uses of InputMethodEvent in javax.swing.plaf

Methods in javax.swing.plaf with parameters of type InputMethodEvent
Modifier and Type
Method
Description
`protected void`
LayerUI.`processInputMethodEvent(InputMethodEvent e, JLayer<? extends V> l)`
Processes input event occurring on the `JLayer` or any of its subcomponents.